Bug 1261436 - No warning shows when convert a win7 guest with AVG AntiVirus installed
No warning shows when convert a win7 guest with AVG AntiVirus installed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.2
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
V2V
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 06:29 EDT by zhoujunqin
Modified: 2016-11-03 13:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: libguestfs-1.28.1-1.53.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 13:55:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot1 for AVG installed (299.97 KB, image/png)
2015-09-09 06:29 EDT, zhoujunqin
no flags Details
"virt-v2v -v -x" output (396.62 KB, text/plain)
2015-09-09 06:30 EDT, zhoujunqin
no flags Details

  None (edit)
Description zhoujunqin 2015-09-09 06:29:12 EDT
Created attachment 1071671 [details]
Screenshot1 for AVG installed

Description of problem:
No warning shows when convert a win7 guest with AVG AntiVirus installed 

Version-Release number of selected component (if applicable):
libvirt-1.2.17-8.el7.x86_64
libguestfs-1.28.1-1.52.el7.x86_64
virt-v2v-1.28.1-1.52.el7.x86_64
qemu-kvm-rhev-2.3.0-22.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Prepare a win7 guest with AVG AntiVirus installed.
Download link:
http://www.avg.com/cn-zh/china-home
See screenshot1.

2. Use virt-2v convert this guest to rhevm.
# virt-v2v -o rhev -os 10.66.90.115:/vol/v2v_auto/nfs_export -n rhevm kvm-win7-x86_64-qcow2 -of raw -on win7-AVG
[   0.0] Opening the source -i libvirt kvm-win7-x86_64-qcow2
[   0.0] Creating an overlay to protect the source from being modified
[   0.0] Opening the overlay
[   2.0] Initializing the target -o rhev -os 10.66.90.115:/vol/v2v_auto/nfs_export
virt-v2v: warning: cannot write files to the NFS server as 36:36, even 
though we appear to be running as root. This probably means the NFS client 
or idmapd is not configured properly.

You will have to chown the files that virt-v2v creates after the run, 
otherwise RHEV-M will not be able to import the VM.
[   3.0] Inspecting the overlay
[   3.0] Checking for sufficient free disk space in the guest
[   3.0] Estimating space required on target for each disk
[   3.0] Converting Windows 7 Ultimate to run on KVM
virt-v2v: This guest has virtio drivers installed.
[   5.0] Mapping filesystem data to avoid copying unused and blank areas
[   6.0] Closing the overlay
[   6.0] Checking if the guest needs BIOS or UEFI to boot
[   6.0] Copying disk 1/1 to /tmp/v2v.ED40Fu/67f39ca5-5198-4da3-aad6-7d05451eee12/images/2e7c4769-3e5b-4f9f-abe1-f2f78b890a3a/d174fcac-24fb-4913-80a0-7b55e5a58e04 (raw)
    (100.00/100%)
[ 222.0] Creating output metadata
[ 222.0] Finishing off

Actual results:
No warning shows when convert a win7 guest with AVG AntiVirus installed 

Expected results:
Should show such warning like:
virt-v2v: warning: this guest has Anti-Virus (AV) software and a new virtio
block device driver was installed.  In some circumstances, AV may prevent
new drivers from working (resulting in a 7B boot error).  If this happens,
try disabling AV before doing the conversion.


Additional info:
1.
# virt-inspector kvm-win7-x86_64-qcow2 
<?xml version="1.0"?>
<operatingsystems>
  <operatingsystem>
    <root>/dev/sda2</root>
    <name>windows</name>
    <arch>x86_64</arch>
    <distro>windows</distro>
    <product_name>Windows 7 Ultimate</product_name>
    <product_variant>Client</product_variant>
    <major_version>6</major_version>
    <minor_version>1</minor_version>
    <windows_systemroot>/Windows</windows_systemroot>
    <windows_current_control_set>ControlSet001</windows_current_control_set>
    <hostname>redhat-PC</hostname>
    <format>installed</format>
    <mountpoints>
      <mountpoint dev="/dev/sda2">/</mountpoint>
    </mountpoints>
    <filesystems>
      <filesystem dev="/dev/sda2">
        <type>ntfs</type>
        <uuid>8CFCD264FCD247DA</uuid>
      </filesystem>
    </filesystems>
    <drive_mappings>
      <drive_mapping name="C">/dev/sda2</drive_mapping>
    </drive_mappings>
    <applications>
      <application>
        <name>AVG</name>
        <display_name>AVG 2015</display_name>
        <version>2015.0.6140</version>
        <publisher>AVG Technologies</publisher>
      </application>
      <application>
        <name>{6B171EFC-F41F-4055-A4DE-5B9480DA17AA}</name>
        <display_name>AVG 2015</display_name>
        <version>15.0.4409</version>
        <publisher>AVG Technologies</publisher>
        <url>http://www.avg.com</url>
      </application>
      <application>
        <name>{8C775E70-A791-4DA8-BCC3-6AB7136F4484}</name>
        <display_name>Visual Studio 2012 x64 Redistributables</display_name>
        <version>14.0.0.1</version>
        <publisher>AVG Technologies</publisher>
      </application>
      <application>
        <name>{98EFF19A-30AB-4E4B-B943-F06B1C63EBF8}</name>
        <display_name>Visual Studio 2012 x86 Redistributables</display_name>
        <version>14.0.0.1</version>
        <publisher>AVG Technologies CZ, s.r.o.</publisher>
      </application>
      <application>
        <name>{CEEAE734-B717-41D1-BF50-378EC081C6B1}</name>
        <display_name>AVG 2015</display_name>
        <version>15.0.6140</version>
        <publisher>AVG Technologies</publisher>
        <url>http://www.avg.com</url>
      </application>
    </applications>
  </operatingsystem>
</operatingsystems>

2. I will attach "virt-v2v -v -x" debug log.
Comment 1 zhoujunqin 2015-09-09 06:30:12 EDT
Created attachment 1071672 [details]
"virt-v2v -v -x" output
Comment 3 zhoujunqin 2015-09-11 00:20:32 EDT
Try to verify this bug with new build:

libvirt-1.2.17-8.el7.x86_64
libguestfs-1.28.1-1.53.el7.x86_64
virt-v2v-1.28.1-1.53.el7.x86_64
qemu-kvm-rhev-2.3.0-22.el7.x86_64

Steps:
1. Use the same guest listed in Comment 0.
# virt-inspector kvm-win7-x86_64-qcow2
...

      <application>
        <name>AVG</name>
        <display_name>AVG 2015</display_name>
        <version>2015.0.6140</version>
        <publisher>AVG Technologies</publisher>
      </application>
...

2. Use virt-2v convert this guest to rhevm.

# virt-v2v -o rhev -os 10.66.90.115:/vol/v2v_auto/nfs_export -n rhevm kvm-win7-x86_64-qcow2 -of raw -on win7-AVG
[   0.0] Opening the source -i libvirt kvm-win7-x86_64-qcow2
[   0.0] Creating an overlay to protect the source from being modified
[   1.0] Opening the overlay
[   3.0] Initializing the target -o rhev -os 10.66.90.115:/vol/v2v_auto/nfs_export
virt-v2v: warning: cannot write files to the NFS server as 36:36, even 
though we appear to be running as root. This probably means the NFS client 
or idmapd is not configured properly.

You will have to chown the files that virt-v2v creates after the run, 
otherwise RHEV-M will not be able to import the VM.
[   3.0] Inspecting the overlay
[   4.0] Checking for sufficient free disk space in the guest
[   4.0] Estimating space required on target for each disk
[   4.0] Converting Windows 7 Ultimate to run on KVM
virt-v2v: warning: this guest has Anti-Virus (AV) software and a new virtio 
block device driver was installed.  In some circumstances, AV may prevent 
new drivers from working (resulting in a 7B boot error).  If this happens, 
try disabling AV before doing the conversion.
virt-v2v: This guest has virtio drivers installed.
[   6.0] Mapping filesystem data to avoid copying unused and blank areas
[   7.0] Closing the overlay
[   7.0] Checking if the guest needs BIOS or UEFI to boot
[   7.0] Copying disk 1/1 to /tmp/v2v.Ncghru/67f39ca5-5198-4da3-aad6-7d05451eee12/images/b706f451-cd06-4e26-a487-8218cd08bf48/e1ffd018-a25b-4a43-b789-3c34c314a898 (raw)
    (100.00/100%)
[ 174.0] Creating output metadata
[ 174.0] Finishing off

Result:
There is good warning message showed to users about guest with AV software installed.
And guest can import and boot up successfully on rhevm server.
Comment 4 zhoujunqin 2015-09-11 06:23:10 EDT
According to Comment 3, move this bug to VERIFIED.
Comment 5 mxie@redhat.com 2016-03-02 06:09:50 EST
Try to verify this bug with new build:
libvirt-1.3.2-1.el7.x86_64
libguestfs-1.32.3-1.el7.x86_64
virt-v2v-1.32.3-1.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7.x86_64

Steps:
1. Prepare a win7 guest with AVG AntiVirus installed.

# virt-inspector esx6.0-win7-x86_64-sda 
...

    <application>
        <name>{CEDC1C27-A73A-4779-9121-DB77A8AE2003}</name>
        <display_name>AVG Zen</display_name>
        <version>1.41.29</version>
        <publisher>AVG Technologies</publisher>
        <url>http://www.avg.com</url>
      </application>

...

2. Use virt-2v convert this guest to rhevm.
# virt-v2v -o rhev -os 10.73.72.63:/home/nfs_export/ -n ovirtmgmt -b ovirtmgmt esx6.0-win7-x86_64 -on win7-AVG
[   0.0] Opening the source -i libvirt esx6.0-win7-x86_64
[   0.0] Creating an overlay to protect the source from being modified
[   0.8] Initializing the target -o rhev -os 10.73.2.1:/home/nfs_export/
virt-v2v: warning: cannot write files to the NFS server as 36:36, even 
though we appear to be running as root. This probably means the NFS client 
or idmapd is not configured properly.

You will have to chown the files that virt-v2v creates after the run, 
otherwise RHEV-M will not be able to import the VM.
[   1.1] Opening the overlay
[   5.6] Inspecting the overlay
[   7.7] Checking for sufficient free disk space in the guest
[   7.7] Estimating space required on target for each disk
[   7.7] Converting Windows 7 Ultimate to run on KVM
virt-v2v: warning: this guest has Anti-Virus (AV) software and a new virtio 
block device driver was installed.  In some circumstances, AV may prevent 
new drivers from working (resulting in a 7B boot error).  If this happens, 
try disabling AV before doing the conversion.
virt-v2v: This guest has virtio drivers installed.
[  11.3] Mapping filesystem data to avoid copying unused and blank areas
[  12.6] Closing the overlay
[  12.8] Checking if the guest needs BIOS or UEFI to boot
[  12.8] Assigning disks to buses
[  12.8] Copying disk 1/2 to /tmp/v2v.uE63wQ/7251b570-41cb-4318-a791-7f5bc4708183/images/ea395c6e-0ab1-453f-bcba-8cdd9151f8da/7ac72bed-05dd-4cc3-ac43-813002574704 (raw)
    (100.00/100%)
[ 151.9] Copying disk 2/2 to /tmp/v2v.uE63wQ/7251b570-41cb-4318-a791-7f5bc4708183/images/33e76708-ef31-45a6-b0b3-612898e82401/127c5e55-7747-40d3-a6a9-3aaab052d422 (qcow2)
    (100.00/100%)
[ 160.9] Creating output metadata
[ 161.0] Finishing off


Result:
There is good warning message showed to users about guest with AV software installed.
And guest can import and boot up successfully on rhevm server.
Comment 7 errata-xmlrpc 2016-11-03 13:55:02 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Note You need to log in before you can comment on or make changes to this bug.